var UserAdd = function () {

    var initForm = function () {
        var initFormCtrl = function () {
          //  handleBootstrapMaxlength();
            bindEvent();
        };




        var bindEvent = function() {
        	
        	
        	
          //绑定保存按钮
            $('#usersave').click(function() {
                var flag = true;
                var id = $("#accountsid").val();
                var appid = $('#appid').val();
                var secret = $('#secret').val();
                var encodingaeskey = $("#encodingaeskey").val();
                var token = $("#token").val();
                var description = $("#description").val();
                if (!appid || appid == '') {
                    Metronic.alert({
                        type: 'danger',
                        icon: 'warning',
                        message: '请输入appid',
                        container: "",
                        place: 'prepend'
                    });
                    flag = false;
                }
                if (!secret || secret == '') {
                    Metronic.alert({
                        type: 'danger',
                        icon: 'warning',
                        message: '请输入secret',
                        container: "",
                        place: 'prepend'
                    });
                    flag = false;
                }
                
                
//                if (!encodingaeskey || encodingaeskey == '') {
//                    Metronic.alert({
//                        type: 'danger',
//                        icon: 'warning',
//                        message: '请输入encodingaeskey',
//                        container: "",
//                        place: 'prepend'
//                    });
//                    flag = false;
//                }
//                
//                
//                if (!token || token == '') {
//                    Metronic.alert({
//                        type: 'danger',
//                        icon: 'warning',
//                        message: '请输入token',
//                        container: "",
//                        place: 'prepend'
//                    });
//                    flag = false;
//                }
//                if (!description || description == '') {
//                    Metronic.alert({
//                        type: 'danger',
//                        icon: 'warning',
//                        message: '请输入描述信息',
//                        container: "",
//                        place: 'prepend'
//                    });
//                    flag = false;
//                }
                if (flag) {
                    formSubmit(id,appid, secret,encodingaeskey,token,description);
                }
            });
        };

        initFormCtrl();
    };

    return {

        //main function to initiate the module
        init: function () {
            initForm();
        }

    };

}();